%define	name	gcombust
%define	version	0.1.25
%define	release	1
%define	serial	1

Summary: A GTK+ front-end for mksisofs and cdrecord.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group: Applications/Archiving
URL:		http://www.iki.fi/jmunsin/gcombust
Source:		%{name}-%{version}.tar.gz
Requires:	gtk+ >= 1.2.0, cdrecord, mkisofs, cdlabelgen >= 1.1.3
BuildRoot:	/var/tmp/%{name}-root


%description
Gcombust is a GUI front-end for mkisofs, mkhybrid, cdrecord and
cdlabelgen, written in C using the GTK+ widget set. Gcombust includes
primitive support for controlling the directory (root) structure and
size of the disk image without copying files/symlinking or writing ten
lines of arguments and it can maximize disk usage by hinting which
directories/files to use.

%prep
%setup -q
%configure --prefix=/usr

%build
make

%install
if [ -e $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
make prefix=$RPM_BUILD_ROOT/usr install-strip
install -m644 %{name}.xpm $RPM_BUILD_ROOT/usr/share/pixmaps

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.irix THANKS
/usr/bin/gcombust
/usr/share/pixmaps/gcombust.xpm

%changelog
* Wed Nov 10 1999 Tim Powers <timp@redhat.com>
- updated to 0.1.25

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- 0.1.23 bugfix release

* Mon Sep 07 1999 Preston Brown <pbrown@redhat.com>
- upgraded to 0.1.21 bugfix release.

* Sun Aug 22 1999 Preston Brown <pbrown@redhat.com>
- adopted for Powertools
